OutOfMemoryError (Java Platform SE 8 )
Keywords: java.lang.OutOfMemoryError class
Date: 2026-04-17

compact1, compact2, compact3
java.lang

## Class OutOfMemoryError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Error
    - - java.lang.VirtualMachineError
      - - java.lang.OutOfMemoryError

- All Implemented Interfaces:
    Serializable

      public class OutOfMemoryError
      extends VirtualMachineError

  Thrown when the Java Virtual Machine cannot allocate an object because it is out of memory, and no more memory could be made available by the garbage collector. `OutOfMemoryError` objects may be constructed by the virtual machine as if suppression were disabled and/or the stack trace was not writable.
  Since:
    JDK1.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OutOfMemoryError()` Constructs an `OutOfMemoryError` with no detail message.
    `OutOfMemoryError(String s)` Constructs an `OutOfMemoryError` with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OutOfMemoryError

          public OutOfMemoryError()

      Constructs an `OutOfMemoryError` with no detail message.

    - #### OutOfMemoryError

          public OutOfMemoryError(String s)

      Constructs an `OutOfMemoryError` with the specified detail message.
      Parameters:
        `s` - the detail message.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.